<script>
import { mapState } from "vuex";
import MusicDialog from "@/components/dialog/MusicDialog.vue";

export default {
  name: "KuwoMusic",
  components: {
    MusicDialog
  },
  methods: {
    backToHome() {
      this.$store.commit("home/changeMusicDialogShow", false);
      this.$router.push("/home");
    },
  },
  computed: {
    ...mapState("home", {
      visible: (state) => state.musicDialogShow,
    }),
  },
};
</script>

<template>
  <div class="kowo-music">
    <music-dialog
      :visible="visible"
      @handleOk="backToHome"
      confirmContent="退出酷我"
      cancel-content="进入后台"
      :width="$px2vw(440)"
    >
      是否退出酷我？
    </music-dialog>
    <img src="../assets/images/kuwo/img.webp" alt="" />
    <div class="text">Slowly Drifting Away</div>
    <img class="img-1" src="../assets/images/home/music.webp" alt="" />
  </div>
</template>

<style scoped lang="scss">
.kowo-music {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  padding-bottom: 86px;
  position: relative;
  .text {
    position: absolute;
    bottom: 178px;
    left: 236px;
    font-size: 20px;
    color: #000000;
  }
  .img-1 {
    position: absolute;
    bottom: 109px;
    left: 70px;
    width: 135px;
    height: 134px;
    object-fit: contain;
  }
  img {
    pointer-events: none;
    width: 100%;
    height: 100%;
  }
}
</style>
